<div class="table-responsive">
	<table class="table table-striped">
		<thead>
			<tr>
				<th class="text-center">Prestashop</th>
				<th>Producto</th>
				<th class="text-center">Disponibilidad</th>
				<th class="text-center">Disponibles</th>
				<th class="text-center">Disponibles Online</th>

				<th class="text-center">Bodega</th>
				<th class="text-center">Italia 1601</th>
				<th class="text-center">Dominicos</th>
				<th class="text-center">Bodega Dominicos</th>

				<th class="text-center">Drugstore</th>

				<th class="text-center">PS</th>

				<?php 
				if (!empty($marketplaces_detalles)) {
					foreach($marketplaces_detalles as $mp) {
						echo '<th class="text-center">' . $mp['abreviacion'] . '</th>';
					}
				}
				?>

				<th class="text-center">Editar</th>
			</tr>
		</thead>
		<tbody>
			<?php
			foreach($productos as $p) {

				// Si disponibles en tienda está en 0 y hay productos disponibles se marca en rojo
				$disponibles1601 = $info_productos[$p['id']]['disponibles_almacen'][5];
				$disponiblesLD = $info_productos[$p['id']]['disponibles_almacen'][8];
				$disponiblesDS = $info_productos[$p['id']]['disponibles_almacen'][12];
				if ($p['disponibles'] > 0) {
					$disponibles1601 = danger_badge($disponibles1601, 'menor', 1);
					$disponiblesLD = danger_badge($disponiblesLD, 'menor', 1);
					$disponiblesDS = danger_badge($disponiblesDS, 'menor', 1);
				}

				?>
				<tr>
					<td class="text-center">
						<?php 
							if ($p['ps_id'] > 0) {
								?>
								<span class="badge badge-pill badge-primary ps-id-product ver-ps" data-ps-id="<?php echo $p['ps_id']; ?>">
									<?php echo $p['ps_id']; ?>
								</span>
								<?php
							}
						?>
					</td>
					<td>
						<?php
						if (!empty($ps_imagenes[$p['ps_id']])) {
							echo ps_image($ps_imagenes[$p['ps_id']]);
						} 
						?>
						<a target="_blank" href="/productos/detalle/<?php echo $p['id']; ?>">
							<span class="nombre"><?php echo $p['nombre']; ?></span>
						</a>
						<span class="badge badge-pill badge-primary"><?php echo $rankings[$p['id_ranking']]?></span>
						
					</td>
					<td class="text-center">
						<?php
							if ($p['disponibles'] > 0) {
								echo '<span class="badge badge-pill badge-success">Disponible</span>';
								$badgeDisponibles = 'success';
							}
							else {
								if ($p['available_now'] != '') {
									echo '<span class="badge badge-pill badge-warning">Preventa</span>';
									$badgeDisponibles = 'warning';
								}
								else {
									echo '<span class="badge badge-pill badge-danger">Agotado</span>';
									$badgeDisponibles = 'danger';
								}
							}
						?>
					</td>
					<td class="text-center"><span class="badge badge-pill badge-<?php echo $badgeDisponibles;?>"><?php echo $p['disponibles']; ?></span></td>
					<td class="text-center"><span class="tt" title="Disponibles Online"><?php echo $info_productos[$p['id']]['disponibles_almacen']['online']; ?></span></td>

					<td class="text-center"><span class="tt" title="Disponibles Bodega"><?php echo $info_productos[$p['id']]['disponibles_almacen'][1]; ?></span></td>
					<td class="text-center"><span class="tt" title="Disponibles Italia 1601"><?php echo $disponibles1601; ?></span></td>
					<td class="text-center"><span class="tt" title="Disponibles Los Dominicos"><?php echo $disponiblesLD; ?></span></td>
					<td class="text-center"><span class="tt" title="Disponibles Bodega Los Dominicos"><?php echo $info_productos[$p['id']]['disponibles_almacen'][9]; ?></span></td>
					<td class="text-center"><span class="tt" title="Disponibles Drugstore"><?php echo $disponiblesDS; ?></span></td>

					<td class="text-center"><?php echo danger_badge($p['ps_disponibles'], 'mayor', $p['disponibles']); ?></td>
					<?php
					if (!empty($marketplaces_detalles)) {
						foreach($marketplaces_detalles as $mp) {
							if (isset($p['marketplaces'][$mp['id']]['stock'])) {
								echo '<td class="text-center">' . danger_badge($p['marketplaces'][$mp['id']]['stock'], 'mayor', $p['disponibles']) . '</td>';
							}
							else {
								echo '<td class="text-center"></td>';
							}
						}
					}
					?>

					<td class="text-center">
						<button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#modalProducto" data-id="<?php echo $p['id']; ?>">
							<i class="fas fa-pencil-alt"></i>
						</button></td>
					<?php
					?>
				</tr>
			<?php
			}
			?>
		</tbody>
	</table>
</div>